%define name	ocaml-pcre
%define version	5.15.0
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl compatibility regular expressions for OCaml
Source: 	http://www.ocaml.info/ocaml_sources/pcre-ocaml-%{version}.tar.bz2
URL:		http://www.ocaml.info/home/ocaml_sources.html
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	pcre-devel
BuildRequires:  findlib
Conflicts:      %{name}-devel < 5.12.2
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This OCaml-library interfaces the PCRE (Perl-compatibility regular
expressions) library which is written in C. it can be used for matching
regular expressions which are written in "PERL"-style.
  
Searching for, replacing or splitting text should become much easier with
this library.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	pcre-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n pcre-ocaml-%{version}

%build
%make

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}"
rm -f %{buildroot}/%{ocaml_sitelib}/stublibs/*.owner

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE README VERSION
%dir %{ocaml_sitelib}/pcre
%{ocaml_sitelib}/pcre/*.cmi
%{ocaml_sitelib}/stublibs/dllpcre_stubs.so

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/pcre/*
%exclude %{ocaml_sitelib}/pcre/*.cmi


%changelog
* Thu Sep 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.15.0-1mdv2009.0
+ Revision: 280408
- update to new version 5.15.0

* Thu Aug 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.14.0-1mdv2009.0
+ Revision: 272042
- update to new version 5.14.0

* Wed Jul 30 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.12.2-4mdv2009.0
+ Revision: 254345
- rebuild

* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.12.2-2mdv2008.1
+ Revision: 178369
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.12.2-1mdv2008.0
+ Revision: 78165
- add conflict to help upgrade
- new version
- fix interdependencies
  swap stubs libs into non-devel package

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.11.4-2mdv2008.0
+ Revision: 77623
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage

* Thu Jun 07 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 5.11.4-1mdv2008.0
+ Revision: 36707
- new release: 5.11.4


* Tue Feb 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.11.2-5mdv2007.0
+ Revision: 123142
- bump release
- devel package requires pcre-devel

* Tue Feb 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.11.2-4mdv2007.1
+ Revision: 123015
- bump release
- obsoletes main package for upgrade purpose

* Tue Feb 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.11.2-3mdv2007.1
+ Revision: 123013
- devel package doesn't require non-existing main package

* Mon Feb 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.11.2-2mdv2007.1
+ Revision: 122706
- drop non-devel package, and mv dynamic library under stublibs
- fix chicken-and-egg issue in rpm macro definition
- new version
- Import ocaml-pcre

* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.10.3-4mdv2007.0
- Rebuild

* Sat May 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 5.10.3-3mdk
- Fix BuildRequires

* Fri May 05 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.10.3-2mdk
- fix buildrequires

* Sat Apr 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.10.3-1mdk
- first mdk release

